05/20/2014 05:58 PM - Nali Nali

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

I got the following errors while installation.

root@kermit:/# apt-get -f install ruby-foreman-bootdisk

Reading package lists... Done

Building dependency tree

Reading state information... Done

ruby-foreman-bootdisk is already the newest version.

0 upgraded, 0 newly installed, 0 to remove and 135 not upgraded.

2 not fully installed or removed.

After this operation, 0 B of additional disk space will be used.

Do you want to continue? [Y/n] Y

Setting up ruby-foreman-bootdisk (2.0.6) ...

dpkg: error processing package ruby-foreman-bootdisk (--configure):

subprocess installed post-installation script returned error exit status 17

Setting up ruby-foreman-setup (2.0.4) ...

dpkg: error processing package ruby-foreman-setup (--configure):

subprocess installed post-installation script returned error exit status 17

Errors were encountered while processing:

ruby-foreman-bootdisk

ruby-foreman-setup

E: Sub-process /usr/bin/dpkg returned an error code (1)

Any help? Thanks

History

#1 - 05/20/2014 07:38 PM - Dominic Cleal

- Project changed from Foreman to Packaging

- Status changed from New to Need more information

- Priority changed from Urgent to Normal

- Difficulty deleted (easy)

Please run "export DEBUG=1" and re-run the apt-get install for further information.

#2 - 05/20/2014 08:16 PM - Nali Nali

Thanks Dominic,

The following infos I got when I ran export DEBUG=1

I have listed two errors below. The two packages that were not fully installed are-a) ruby-foreman-bootdisk b) ruby-foreman-setup

Reading package lists... Done

Building dependency tree
Reading state information... Done

0 upgraded, 0 newly installed, 0 to remove and 135 not upgraded.

2 not fully installed or removed.

After this operation, 0 B of additional disk space will be used.

*Could not fetch specs from https://rubygems.org/

Could not find gem 'foreman_bootdisk (= 2.0.6) ruby' in the gems available on this machine.

Run `bundle install` to install missing gems. *

Thanks.

#3 - 05/21/2014 06:35 AM - Dominic Cleal

It looks like you don't have access to rubygems.org from the system you're installing the package on, which is unfortunately a limitation of the Debian

plugin packages right now.  Do you have a proxy - maybe you can set the http_proxy environment variable.

#4 - 05/21/2014 01:35 PM - Nali Nali

I restarted my computer, and ran bundle install. Surprisingly, it helps to complete the packages installation. Thank you Dominic.

#5 - 05/21/2014 01:38 PM - Dominic Cleal

- Status changed from Need more information to Resolved

Oh, fair enough!
